升级网站程序还是相当不易的 问题小结一下 关注帝国CMS7.5升级空白

帝国CMS网站程序还是相当稳定可靠的,加上开源的给大家使用,也是相当有眼光的一家CMS网站程序了,不过帝国CMS虽然安全,也与它结构比较复杂有很大的关系,现在它从7.2升级到了7.5的程序,也算是支持PHP7.0以上版本了,对于市场还是相当负责的。
而旺网也有很多网站,决定升级到最新的7.5系统,以提升网站的性能,结果出现了很多的空白问题,着实让人很郁闷呀。

当然了,主要的原因还是因为模版的问题了。这里除开模板问题,来小结一下出现空白的情况。
第一:使用谷歌浏览器,在后台设计安全性的时间,输入根域名,但是谷歌浏览器会自动填充安全项,这个要记得,不能让它自动填充,再有就是根域名一定要输入正确,确误了就空白,无法进入后台;
第二:后台提交信息空白,一般是模板的问题,这个没有找到原因,也不太明白模板的标签,所以放弃了一个升级不成功的模板。
第三:程序升级成功后,如果要使用PHP7.0的环境,要把它的 $ecms_config['db']['usedb']='mysqli';    //数据库类型  进行更改,将mysql 改为mysqli,  同时每次切换环境,一定要把支持短代码打开,并重启一下。
第四:改了数据类型,还要改一下标$ecms_config['db']['dbver']='7.0';    //数据库版本 这里要改为7.0 如果是5.0的就改为5.* 不然会造成数据生成不成功。